FREE(1)

BEZEICHNUNG
free - Anzeige des freien und belegten Speichers

ÜBERSICHT
free [Optionen]

BESCHREIBUNG
free zeigt den gesamten freien und genutzten physischen Speicher und Auslagerungsspeicher im System sowie die vom Kernel verwendeten Puffer und Zwischenspeicher an. Die Informationen werden durch Auslesen von /proc/meminfo ermittelt. Folgende Spalten werden angezeigt:

gesamt
    Total usable memory (MemTotal and SwapTotal in /proc/meminfo). This includes the physical and swap memory minus a few reserved bits and kernel binary code.

benutzt
    Benutzter oder nicht verfügbarer Speicher (errechnet durch gesamt minus verfügbar)

frei
    Ungenutzter Speicher (MemFree und SwapFree in /proc/meminfo)

gemns.
    (Meist) von Tmpfs genutzter Speicher (Shmem in /proc/meminfo)

Puffer
    Von den Kernel-Puffern genutzter Speicher (Buffers in /proc/meminfo)

Cache
    Vom Page-Cache und Slabs genutzter Speicher (Cached und SReclaimable in /proc/meminfo)

Puffer/Cache
    Summe von Puffer und Cache

verfügbar
    Schätzung des zum Starten neuer Anwendungen verfügbaren Speichers, ohne den Auslagerungsspeicher zu nutzen. Im Gegensatz zu den in den Feldern Cache oder Frei angezeigten Daten bezieht dieses Feld den Page-Cache mit ein, und beachtet außerdem, dass nicht alle beanspruchbaren Speicher-Slabs durch in Verwendung befindliche Objekte auch wirklich beansprucht werden. (MemAvailable in /proc/meminfo, verfügbar ab Kernel 3.14, emuliert in Kernel 2.6.27 und neuer, anderenfalls gleichbedeutend mit Frei)

OPTIONEN

-b, --bytes
    zeigt die Speichergröße in Byte an.

-k, --kibi
    zeigt die Speichergröße in Kibibyte an. Das ist die Voreinstellung.

-m, --mebi
    zeigt die Speichergröße in Mebibyte an.

-g, --gibi
    zeigt die Speichergröße in Gibibyte an.

--tebi
    zeigt die Speichergröße in Tebibyte an.

--pebi
    Zeigt die Speichergröße in Pebibyte an.

--kilo
    zeigt die Speichergröße in Kilobyte an. Impliziert --si.

--mega
    zeigt die Speichergröße in Megabyte an. Impliziert --si.

--giga
    zeigt die Speichergröße in Gigabyte an. Impliziert --si.

--tera
    zeigt die Speichergröße in Terabyte an. Impliziert --si.

--peta
    zeigt die Speichergröße in Petabyte an. Impliziert --si.

-h, --human
    Alle angezeigten Felder werden automatisch auf die kleinste Einheit mit drei Ziffern skaliert. Die Einheiten werden in der Ausgabe angezeigt. Es werden die folgenden Einheiten verwendet.

      B = Byte
      Ki = Kibibyte
      Mi = Mebibyte
      Gi = Gibibyte
      Ti = Tebibyte
      Pi = Pebibyte

    Falls die Einheit fehlt und Sie Exbibyte an RAM oder Auslagerungsspeicher haben, wird die Zahl in Tebibyte angezeigt und die Spalten sind möglicherweise nicht an den Kopfzeilen ausgerichtet.

-w, --wide
    wechselt in den breiten Modus. In diesem Modus können Zeilen dargestellt werden, die länger als 80 Zeichen sind. Puffer und Cache werden dann in zwei separaten Spalten dargestellt.

-c, --count Anzahl
    zeigt das Ergebnis Anzahl mal an. Erfordert die Option -s.

-l, --lohi
    zeigt detailliert die Belegung von »low memory« und »high memory« an.

-s, --seconds Intervall
    Fortlaufende Aktualisierung der Anzeige nach Intervall Sekunden. Sie können für Intervall eine beliebige Gleitkommazahl angeben mit einem Punkt oder Komma als Dezimaltrenner angeben. Durch die Nutzung von usleep(3) können die Intervalle bis auf die Mikrosekunde genau festgelegt werden.

--si
    verwendet Kilo, Mega, Giga usw. (Vielfache von 1000) anstelle von Kibi, Mebi, Gibi (Vielfache von 1024).

-t, --total
    zeigt eine Zeile mit den Spaltensummen an.

-v, --committed
    Display a line showing the memory commit limit and amount of committed/uncommitted memory. The total column on this line will display the memory commit limit. This line is relevant if memory overcommit is disabled.

--help
    Hilfe ausgeben.

-V, --version
    Versionsinformationen anzeigen.

DATEIEN

/proc/meminfo
    Speicherinformationen

FEHLER
Der Wert der Spalte gemns. ist für Kernel vor 2.6.32 nicht verfügbar und wird als Null angezeigt.

Bitte senden Sie Fehlermeldungen (auf Englisch) an
    procps@freelists.org

SIEHE AUCH
ps(1), slabtop(1), top(1), vmstat(8).